%define __python /usr/bin/python2.7
%global pyver 27
%global pybindir /usr/lib/python2.7/bin
#global pyver %{nil}
%define destdir /usr/local/yt/%{version}-%{hgrev}
%define python_destarch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)" | perl -pi -e 's|/usr|%{destdir}|')
%define hgrev 84b551a47ac4

# modules defaults
%define modulefile_path /usr/local/share/Modules/modulefiles/yt
%define modulefile_path_file /usr/local/share/Modules/modulefiles/yt/%{version}-%{hgrev}

%define rname	yt
Version:        2.7
Name:           %{rname}%{pyver}-%{version}-%{hgrev}
Release:        1%{?dist}.%{hgrev}.1
Summary:        python package for scientific data analysis and visualization
License:        BSD variant
URL:            http://yt-project.org/
#Source0:        https://bitbucket.org/MatthewTurk/yt/get/%{hgrev}.zip
Source0:        MatthewTurk-yt-%{hgrev}.zip
Source1:	reason-js-20120623.zip
Source2:	xray_emissivity.h5
BuildRequires:	bzip2-devel zlib-devel openssl-devel gcc-c++ gcc-gfortran zip ncurses-devel uuid-devel readline-devel
BuildRequires:	subversion mercurial libpng-devel freetype-devel sqlite-devel hdf5-188-gcc-devel h5py27-221-188
BuildRequires:	environment-modules python%{pyver}-nose Cython%{pyver}
BuildRequires:       python%{pyver}-matplotlib numpy%{pyver} sympy%{pyver} scipy%{pyver} python%{pyver}-ipython-notebook python%{pyver}-Forthon = 0.8.11
Requires:       python%{pyver}-matplotlib numpy%{pyver} sympy%{pyver} scipy%{pyver} python%{pyver}-ipython-notebook python%{pyver}-Forthon = 0.8.11

%description
yt is a python package for analyzing and visualizing volumetric, multi-resolution
data from astrophysical simulations, radio telescopes, and a burgeoning
interdisciplinary community.

This particular version is pulled out of Matthew Turk's repository at:
https://bitbucket.org/MatthewTurk/yt/

%prep
%setup -q -n MatthewTurk-yt-%{hgrev}
# it overlaps with doc/README
mv README README.yt

%build
. /etc/profile.d/modules.sh
module load python hdf5 h5py%{pyver} --prefix %{destdir}
# Build the python2 version
%{__python} setup.py build

%install
. /etc/profile.d/modules.sh
module load python hdf5 h5py%{pyver}

# Install the python2 version
%{__python} setup.py install -O1 --skip-build --prefix %{destdir} --root %{buildroot}

mkdir -p %{buildroot}%{destdir}/{src,data}
install -m 644 %{SOURCE1} %{buildroot}%{destdir}/src/
install -m 644 %{SOURCE2} %{buildroot}%{destdir}/data/
mkdir -p %{buildroot}/%{modulefile_path}
cat <<ENDCOREMODULE > %{buildroot}/%{modulefile_path_file}
#%Module

# NOTE: This is an automatically-generated file!  (generated by the
# yt rpm).  Any changes made here will be lost a) if the RPM is
# uninstalled, or b) if the RPM is upgraded or uninstalled.

proc ModulesHelp { } {
   puts stderr "This module adds yt %{version}-%{hgrev} to various paths"
}

module-whatis   "Sets up yt %{version}-%{hgrev} in various paths"

module load hdf5/gcc/1.8.8 python h5py27/2.2.1/hdf5-1.8.8
setenv YT_DEST %{destdir}
prepend-path PATH "%{destdir}/bin"
prepend-path PYTHONPATH "%{python_destarch}"
ENDCOREMODULE


%check
. /etc/profile.d/modules.sh
module load python hdf5 h5py%{pyver}
#%{__python} setup.py test
export PYTHONPATH=$PYTHONPATH:%{buildroot}%{python_destarch}
# not for now - seems like there are bugs either in yt or in tests
#nosetests
 
%files
%doc CITATION COPYING.txt CREDITS README* doc/*
%{destdir}
%dir %{modulefile_path}
%{modulefile_path_file}

%changelog
* Mon Feb  3 2014 Josko Plazonic <plazonic@princeton.edu>
- initial build
